Restore Object Record Attachment Version
POST
/api/{version}/vobjects/{object_name}/{object_record_id}/attachments/{attachment_id}/versions/{attachment_version}?restore=trueHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{object_name} | The object name__v field value (product__v, country__v, custom_object__c, etc.). |
{object_record_id} | The object record id field value. |
{attachment_id} | The attachment id field value. |
{attachment_version} | The attachment version__v field value. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v26.1/vobjects/site__v/1357752909483/attachments/571/versions/2?restore=trueResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data":
{
"id": "571",
"version__v": 2
}
}